> For the complete documentation index, see [llms.txt](https://developer.xyxyx.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.xyxyx.pro/api-endpoints/deploy/deploy-contract-a4.md).

# Deploy Contract A4

#### Endpoint

<mark style="color:green;">`POST`</mark> `/api/v1/ERC404/{network}/deploy-contract-A4`

> This endpoint executes the deployment of an ERC-404 smart contract that issues A4 tokens.

{% hint style="info" %}
Check the [Networks](/getting-started/networks.md) section for replacing the `{network}` text in the Endpoint URL.
{% endhint %}

***

**Headers**

| Name          | Value                                                                                                                       |
| ------------- | --------------------------------------------------------------------------------------------------------------------------- |
| Content-Type  | `application/json`                                                                                                          |
| Authorization | [Xyxyx API Key](/getting-started/xyxyx-api-keys.md) or [XIN](https://docs.xyxyx.pro/protocol/xyxyx/xyxyx-issuer-nodes-xins) |

***

**Body**

| Name               | Type                                   | Description                                                                         |
| ------------------ | -------------------------------------- | ----------------------------------------------------------------------------------- |
| `name`             | string                                 | Defines the token name                                                              |
| `ticker`           | string                                 | Defines the token ticker                                                            |
| `decimals`         | integer                                | Defines the token decimals                                                          |
| `supply`           | integer                                | Defines the token supply                                                            |
| `tokenText`        | string                                 | The text content that is stamped in the token output                                |
| `metadata`         | string                                 | The text content that is inserted in the token metadata, stored within its SVG file |
| `walletPrivateKey` | string                                 | Deployer private key for authorizing transaction                                    |
| `documentTitle`    | string (optional)                      | Document title, displayed on the top of the first page                              |
| `documentSubtitle` | string (optional)                      | Document subtitle, displayed below the document title                               |
| `fontFamily`       | string (optional), defaults to `serif` | Font-family that is used in the token output text                                   |

***

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "success": true,
  "status": "Contract deployed at address: {contractAddress}`",
  "hash": "1x111...",
  "deploymentAddress": "0x32a...",
  "adressUrl": "https://etherscan.io/address/{contractAddress}",
  "deployerAddress": "0x567...",
  "transferTxHash": "0x222...",
  "transferMessage": "1 token transferred to {transferFirstTokenTo}"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "success": false,
  "status": "Failed to deploy contract: {error.message}"
}
```

{% endtab %}

{% tab title="401" %}

```json
{
  "success": false,
  "status": "The wallet does not own any valid Xyxyx API Key or XIN",
}
```

{% endtab %}

{% tab title="429" %}

```javascript
{
  "success": false,
  "status": "This wallet has already consumed its 24-hour request quota"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.xyxyx.pro/api-endpoints/deploy/deploy-contract-a4.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
